{% extends "admin/base_site.html" %}
{% load i18n static %}

{% block title %} Sign In {% endblock title %}
{% block extrastyle %}{{ block.super }}<link rel="stylesheet" type="text/css" href='{% static "admin/css/login.min.css" %}' />{% endblock %}

{% block body %}
  {% block content %}
    <div class="container">
      <div class="small_box">
      
        <div class="row">
          <div class="col-md-12">
            <h1 class="logo"><a href="{% url 'admin:index' %}">{{ site_title }}</a></h1>
          </div>
        </div>
        
        <div class="row">
          <div class="col-md-12">
            <form action="{{ app_path }}" method="post" id="login-form">{% csrf_token %}
              <div class="form-group">
                {{ form.username.errors }}
                {{ form.username.label_tag }} {{ form.username }}
              </div>
              
              <div class="form-group">
                {{ form.password.errors }}
                {{ form.password.label_tag }} {{ form.password }}
                <input type="hidden" name="next" value="{{ next }}" />
              </div>
              
              {% url 'admin_password_reset' as password_reset_url %}
              {% if password_reset_url %}
                <div class="password-reset-link">
                  <a href="{{ password_reset_url }}">{% trans 'Forgotten your password or username?' %}</a>
                </div>
              {% endif %}
              
              <div class="form-group">
                <input type="submit" value="{% trans 'Sign In' %}" />
              </div>
              
              <div class="row">
                <div class="col-sm-12 text-center"><a href="{% url 'signup' %}">Sign Up</a><span style="padding:0rem 1rem">|</span><a href="{% url 'privacy' %}">Privacy</a><span style="padding:0rem 1rem">|</span><a href="http://islab.di.unimi.it/index.php/it/" target="_blank">ISLAB</a></div>
              </div>
            </form>
          </div>
        </div>
        
        {% if form.errors and not form.non_field_errors %}
          <div class="row errorblock">
            <div class="col-md-12">
              <div class="alert alert-danger">{% if form.errors.items|length == 1 %}{% trans "Please correct the error below." %}{% else %}{% trans "Please correct the errors below." %}{% endif %}</div>
            </div>
          </div>
        {% endif %}

        {% if form.non_field_errors %}
          <div class="row errorblock">
            {% for error in form.non_field_errors %}
              <div class="col-md-12">
                <div class="alert alert-danger">{{ error }}</div>
              </div>
            {% endfor %}
          </div>
        {% endif %}

        {% if user.is_authenticated %}
          <div class="row errorblock">
            <div class="col-md-12">
              <div class="alert alert-danger">
                {% blocktrans trimmed %}
                    You are authenticated as {{ username }}, but are not authorized to
                    access this page. Would you like to sign in to a different account?
                {% endblocktrans %}
              </div>
            </div>
          </div>
        {% endif %}
        
      </div>
    </div>
    
    <div class="background"></div>
  {% endblock %}
{% endblock %}